AnsweredAssumed Answered

Unable to login to create StoryMap Error: "A TLS 1.0 fallback was able to handshake with the server, but we no longer accept TLS 1.0 fallbacks. The server needs to be updated to correctly implement version negotiation and preferable support TLS 1.2." ? Is

Question asked by wilsong083548 on May 4, 2016
Latest reply on May 4, 2016 by wilsong083548

A TLS 1.0 fallback was able to handshake with the server, but we no longer accept TLS 1.0 fallbacks. The server needs to be updated to correctly  implement version negotiation and preferably support TLS 1.2.

I've used every browser I have (Chrome, Firefox, Safari, IE - all current versions). I was in yesterday and had no trouble. Now I can't crate a new StoryMap due to this error when I logon.

Outcomes